#
# spec file for package go-for-it
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   Go-For-It
Name:           go-for-it
Version:        1.4.6
Release:        2.2
Summary:        A stylish to-do list with built-in productivity timer
License:        GPL-3.0
Group:          Productivity/Office/Organizers
Url:            https://github.com/mank319/Go-For-It
Source:         https://github.com/mank319/%{_name}/archive/release_%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.24
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4
BuildRequires:  pkgconfig(libnotify)

%description
Go For It! keeps track of your tasks and assists you in processing
them  subsequently. The timer avoids distraction, by keeping your
focus on the recent task, while reminding you to take short breaks
on a regular base.

%prep
%setup -q -n %{_name}-release_%{version}

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r %{name} Utility DesktopUtility

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*

%changelog
* Sat May  7 2016 sor.alexei@meowr.ru
- Update to version 1.4.6.
* Sat Feb  6 2016 mailaender@opensuse.org
- Update to 1.4.5
* Tue Dec 29 2015 sor.alexei@meowr.ru
- Update to 1.4.4:
  * Various bugfixes including windows line break handling.
* Mon Oct 12 2015 sor.alexei@meowr.ru
- Initial package.
